import { Component, OnInit } from '@angular/core';
import { ionicStandaloneModules } from '../ionic-standalone.modules';
import * as Parse from 'parse';
import { AuthService } from '../../services/auth.service';
import { CommonModule } from '@angular/common';
@Component({
  selector: 'app-download',
  templateUrl: './download.component.html',
  styleUrls: ['./download.component.scss'],
  standalone: true,
  imports: [
    ...ionicStandaloneModules,CommonModule
  ],
})
export class DownloadComponent implements OnInit {
  app:Parse.Object

  constructor(private authServ: AuthService) { }

  async ngOnInit() {
    let App = new Parse.Query('App');
    App.equalTo('company', this.authServ.company);
    this.app = await App.first();
  }
  downImg(url:string) {
    let dlLink: any = document.createElement('a');
    if ('download' in dlLink) {
      dlLink.style.visibility = 'hidden';
      dlLink.href = url;
      dlLink.download = 'hey聊';
      document.body.appendChild(dlLink);
      dlLink.click();
      document.body.removeChild(dlLink);
    } else {
      location.href = url;
    }
  }
}
